unit About;
////////////////////////////////////////////////////////////////////////////////
//
////////////////////////////////////////////////////////////////////////////////

                              interface
////////////////////////////////////////////////////////////////////////////////
uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, VerInf; 

type
  TfrmAbout = class(TForm)
    Panel1: TPanel;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    lblProductName: TLabel;
    lblFileVersion: TLabel;
    lblCopyRight: TLabel;
    lblComments: TLabel;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

                          implementation
////////////////////////////////////////////////////////////////////////////////
{$R *.DFM}

procedure TfrmAbout.FormCreate(Sender: TObject);
// uses VerInf;
var
  VerInfo: TVersionInfo;
begin
  try
    VerInfo := TVersionInfo.Create(Application.ExeName);
    if VerInfo.Valid then
    begin
      lblProductName.Caption := VerInfo.ProductName;
      lblFileVersion.Caption := VerInfo.FileVersion;
      lblCopyRight.Caption := VerInfo.LegalCopyright;
      lblComments.Caption := VerInfo.Comments;
      // lblDLLInfo.Caption := 'Not DLL Version'; 
    end;
  finally
     VerInfo.Free;
  end;
end;

end.
 
